<template>
  <button @click="handleClick" class="btn-item"  >
    <span> {{ title }} </span>
  </button>
</template>
<script>
export default {
  props: {
    title: String,
    submit: Function,
    args: Object
  },
  methods: {
    handleClick() {
      if(typeof this.submit == 'function')  
      this.submit(this.args);
    }
  }
};
</script>
